Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List inboxes

The team’s inboxes, newest first (after pages toward older ones). An inbox-scoped key lists only its inbox.

GET/inboxes
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Query-Parameter
limitinteger

Page size, 1-100 (default 20)

min. 1 · max. 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

kindstring

BillionSend extension: agent or human inboxes only

Erlaubt:agenthuman
Antworten
200

Inboxes

objectstringerforderlich
Erlaubt:list
has_morebooleanerforderlich
dataobject[]erforderlich
Eigenschaften anzeigen
Array von object
idstring<uuid>erforderlich
namestring | nullerforderlich
email_addressstringerforderlich
from_namestring | nullerforderlich
unreadintegererforderlich
last_receivedstring | nullerforderlich
created_atstringerforderlich
updated_atstringerforderlich
kindstringerforderlich
Erlaubt:agenthuman
sharedbooleanerforderlich
expires_atstring | nullerforderlich
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Pagination cursor not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "object": "list",
  "has_more": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email_address": "string",
      "from_name": "string",
      "unread": 0,
      "last_received": "string",
      "created_at": "string",
      "updated_at": "string",
      "kind": "agent",
      "shared": true,
      "expires_at": "string"
    }
  ]
}

War diese Seite hilfreich?